ApiCertificateRequest (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiCertificateRequest

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiCertificateRequest

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiCertificateRequest
      extends Object

  This API class represents a request to retrieve Auto-TLS certificates for a given host. The request contains the host requesting the certificate, a valid token generated by the certmanager utility, and optionally a certificate signing request. Currently, the certificate signing request argument is not supported.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiCertificateRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiCertificateRequest` | `addSubjectAltNamesItem(String subjectAltNamesItem)`
    `ApiCertificateRequest` | `csr(String csr)`
    `boolean` | `equals(Object o)`
    `String` | `getCsr()` Get the certificate signing request in PEM format
    `String` | `getHostname()` Get the hostname of the host requesting certificates
    `List<String>` | `getSubjectAltNames()` Get subjectAltNames
    `String` | `getToken()` Get the certificate request token
    `int` | `hashCode()`
    `ApiCertificateRequest` | `hostname(String hostname)`
    `void` | `setCsr(String csr)`
    `void` | `setHostname(String hostname)`
    `void` | `setSubjectAltNames(List<String> subjectAltNames)`
    `void` | `setToken(String token)`
    `ApiCertificateRequest` | `subjectAltNames(List<String> subjectAltNames)`
    `ApiCertificateRequest` | `token(String token)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiCertificateRequest

          public ApiCertificateRequest()

  - ### Method Detail

    - #### hostname

          public ApiCertificateRequest hostname(String hostname)

    - #### getHostname

          public String getHostname()

      Get the hostname of the host requesting certificates
      Returns:
        hostname

    - #### setHostname

          public void setHostname(String hostname)

    - #### csr

          public ApiCertificateRequest csr(String csr)

    - #### getCsr

          public String getCsr()

      Get the certificate signing request in PEM format
      Returns:
        csr

    - #### setCsr

          public void setCsr(String csr)

    - #### token

          public ApiCertificateRequest token(String token)

    - #### getToken

          public String getToken()

      Get the certificate request token
      Returns:
        token

    - #### setToken

          public void setToken(String token)

    - #### subjectAltNames

          public ApiCertificateRequest subjectAltNames(List<String> subjectAltNames)

    - #### addSubjectAltNamesItem

          public ApiCertificateRequest addSubjectAltNamesItem(String subjectAltNamesItem)

    - #### getSubjectAltNames

          public List<String> getSubjectAltNames()

      Get subjectAltNames
      Returns:
        subjectAltNames

    - #### setSubjectAltNames

          public void setSubjectAltNames(List<String> subjectAltNames)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.